org.activiti.engine.runtime

## Interface Job

-     public interface Job

  Represents one job (timer, message, etc.).
  Author:
    Joram Barrez

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Date` | `getDuedate()` Returns the date on which this job is supposed to be processed.
    `String` | `getExceptionMessage()` Returns the message of the exception that occurred, the last time the job was executed.
    `String` | `getExecutionId()` Returns the specific execution on which the job was created.
    `String` | `getId()` Returns the unique identifier for this job.
    `String` | `getProcessDefinitionId()` Returns the specific process definition on which the job was created
    `String` | `getProcessInstanceId()` Returns the id of the process instance which execution created the job.
    `int` | `getRetries()` Returns the number of retries this job has left.
    `String` | `getTenantId()` Get the tenant identifier for this job.

- - ### Method Detail

    - #### getId

          String getId()

      Returns the unique identifier for this job.

    - #### getDuedate

          Date getDuedate()

      Returns the date on which this job is supposed to be processed.

    - #### getProcessInstanceId

          String getProcessInstanceId()

      Returns the id of the process instance which execution created the job.

    - #### getExecutionId

          String getExecutionId()

      Returns the specific execution on which the job was created.

    - #### getProcessDefinitionId

          String getProcessDefinitionId()

      Returns the specific process definition on which the job was created

    - #### getRetries

          int getRetries()

      Returns the number of retries this job has left. Whenever the jobexecutor fails to execute the job, this value is decremented. When it hits zero, the job is supposed to be dead and not retried again (ie a manual retry is required then).

    - #### getExceptionMessage

          String getExceptionMessage()

      Returns the message of the exception that occurred, the last time the job was executed. Returns null when no exception occurred. To get the full exception stacktrace, use `ManagementService.getJobExceptionStacktrace(String)`

    - #### getTenantId

          String getTenantId()

      Get the tenant identifier for this job.

Copyright © 2016 Alfresco. All rights reserved.